interactions:
- request:
    body: '{"input":[{"role":"user","content":[{"type":"input_text","text":"\nCurrent
      Task: What type of document is this?\n\nProvide your complete response:"},{"type":"input_file","filename":"document.pdf","file_data":"data:application/pdf;base64,JVBERi0xLjQKMSAwIG9iaiA8PCAvVHlwZSAvQ2F0YWxvZyAvUGFnZXMgMiAwIFIgPj4gZW5kb2JqCjIgMCBvYmogPDwgL1R5cGUgL1BhZ2VzIC9LaWRzIFszIDAgUl0gL0NvdW50IDEgPj4gZW5kb2JqCjMgMCBvYmogPDwgL1R5cGUgL1BhZ2UgL1BhcmVudCAyIDAgUiAvTWVkaWFCb3ggWzAgMCA2MTIgNzkyXSA+PiBlbmRvYmoKeHJlZgowIDQKMDAwMDAwMDAwMCA2NTUzNSBmCjAwMDAwMDAwMDkgMDAwMDAgbgowMDAwMDAwMDU4IDAwMDAwIG4KMDAwMDAwMDExNSAwMDAwMCBuCnRyYWlsZXIgPDwgL1NpemUgNCAvUm9vdCAxIDAgUiA+PgpzdGFydHhyZWYKMTk2CiUlRU9GCg=="}]}],"model":"o4-mini","instructions":"You
      are File Analyst. Expert at analyzing various file types.\nYour personal goal
      is: Analyze and describe files accurately"}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '838'
      content-type:
      - application/json
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/responses
  response:
    body:
      string: "{\n  \"id\": \"resp_064e248119b2b15200698e2a850d908190ab1c6ba7b548c6c2\",\n
        \ \"object\": \"response\",\n  \"created_at\": 1770924677,\n  \"status\":
        \"completed\",\n  \"background\": false,\n  \"billing\": {\n    \"payer\":
        \"developer\"\n  },\n  \"completed_at\": 1770924678,\n  \"error\": null,\n
        \ \"frequency_penalty\": 0.0,\n  \"incomplete_details\": null,\n  \"instructions\":
        \"You are File Analyst. Expert at analyzing various file types.\\nYour personal
        goal is: Analyze and describe files accurately\",\n  \"max_output_tokens\":
        null,\n  \"max_tool_calls\": null,\n  \"model\": \"o4-mini-2025-04-16\",\n
        \ \"output\": [\n    {\n      \"id\": \"rs_064e248119b2b15200698e2a85b12081909cd1fbbe97495d44\",\n
        \     \"type\": \"reasoning\",\n      \"summary\": []\n    },\n    {\n      \"id\":
        \"msg_064e248119b2b15200698e2a8648488190a03c7b0dc1e83d9d\",\n      \"type\":
        \"message\",\n      \"status\": \"completed\",\n      \"content\": [\n        {\n
        \         \"type\": \"output_text\",\n          \"annotations\": [],\n          \"logprobs\":
        [],\n          \"text\": \"Could you please upload or provide the document
        you\\u2019d like me to analyze?\"\n        }\n      ],\n      \"role\": \"assistant\"\n
        \   }\n  ],\n  \"parallel_tool_calls\": true,\n  \"presence_penalty\": 0.0,\n
        \ \"previous_response_id\": null,\n  \"prompt_cache_key\": null,\n  \"prompt_cache_retention\":
        null,\n  \"reasoning\": {\n    \"effort\": \"medium\",\n    \"summary\": null\n
        \ },\n  \"safety_identifier\": null,\n  \"service_tier\": \"default\",\n  \"store\":
        true,\n  \"temperature\": 1.0,\n  \"text\": {\n    \"format\": {\n      \"type\":
        \"text\"\n    },\n    \"verbosity\": \"medium\"\n  },\n  \"tool_choice\":
        \"auto\",\n  \"tools\": [],\n  \"top_logprobs\": 0,\n  \"top_p\": 1.0,\n  \"truncation\":
        \"disabled\",\n  \"usage\": {\n    \"input_tokens\": 52,\n    \"input_tokens_details\":
        {\n      \"cached_tokens\": 0\n    },\n    \"output_tokens\": 81,\n    \"output_tokens_details\":
        {\n      \"reasoning_tokens\": 0\n    },\n    \"total_tokens\": 133\n  },\n
        \ \"user\": null,\n  \"metadata\": {}\n}"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Thu, 12 Feb 2026 19:31:18 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '1769'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      set-cookie:
      - SET-COOKIE-XXX
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
- request:
    body: '{"input":[{"role":"user","content":[{"type":"input_text","text":"\nCurrent
      Task: What type of document is this?\n\nProvide your complete response:"},{"type":"input_file","filename":"document.pdf","file_data":"data:application/pdf;base64,JVBERi0xLjQKMSAwIG9iaiA8PCAvVHlwZSAvQ2F0YWxvZyAvUGFnZXMgMiAwIFIgPj4gZW5kb2JqCjIgMCBvYmogPDwgL1R5cGUgL1BhZ2VzIC9LaWRzIFszIDAgUl0gL0NvdW50IDEgPj4gZW5kb2JqCjMgMCBvYmogPDwgL1R5cGUgL1BhZ2UgL1BhcmVudCAyIDAgUiAvTWVkaWFCb3ggWzAgMCA2MTIgNzkyXSA+PiBlbmRvYmoKeHJlZgowIDQKMDAwMDAwMDAwMCA2NTUzNSBmCjAwMDAwMDAwMDkgMDAwMDAgbgowMDAwMDAwMDU4IDAwMDAwIG4KMDAwMDAwMDExNSAwMDAwMCBuCnRyYWlsZXIgPDwgL1NpemUgNCAvUm9vdCAxIDAgUiA+PgpzdGFydHhyZWYKMTk2CiUlRU9GCg=="}]}],"model":"o4-mini","instructions":"You
      are File Analyst. Expert at analyzing various file types.\nYour personal goal
      is: Analyze and describe files accurately"}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '838'
      content-type:
      - application/json
      cookie:
      - COOKIE-XXX
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/responses
  response:
    body:
      string: "{\n  \"id\": \"resp_05091b7975cea42100698e2a86f30881908983fbd92fbd48a4\",\n
        \ \"object\": \"response\",\n  \"created_at\": 1770924679,\n  \"status\":
        \"completed\",\n  \"background\": false,\n  \"billing\": {\n    \"payer\":
        \"developer\"\n  },\n  \"completed_at\": 1770924683,\n  \"error\": null,\n
        \ \"frequency_penalty\": 0.0,\n  \"incomplete_details\": null,\n  \"instructions\":
        \"You are File Analyst. Expert at analyzing various file types.\\nYour personal
        goal is: Analyze and describe files accurately\",\n  \"max_output_tokens\":
        null,\n  \"max_tool_calls\": null,\n  \"model\": \"o4-mini-2025-04-16\",\n
        \ \"output\": [\n    {\n      \"id\": \"rs_05091b7975cea42100698e2a87b52c8190b25a662c10b2753f\",\n
        \     \"type\": \"reasoning\",\n      \"summary\": []\n    },\n    {\n      \"id\":
        \"msg_05091b7975cea42100698e2a8b3eec8190b6f7c247a04ea9ce\",\n      \"type\":
        \"message\",\n      \"status\": \"completed\",\n      \"content\": [\n        {\n
        \         \"type\": \"output_text\",\n          \"annotations\": [],\n          \"logprobs\":
        [],\n          \"text\": \"I don\\u2019t see a document attached. Could you
        please upload the file or share its contents so I can determine what type
        of document it is?\"\n        }\n      ],\n      \"role\": \"assistant\"\n
        \   }\n  ],\n  \"parallel_tool_calls\": true,\n  \"presence_penalty\": 0.0,\n
        \ \"previous_response_id\": null,\n  \"prompt_cache_key\": null,\n  \"prompt_cache_retention\":
        null,\n  \"reasoning\": {\n    \"effort\": \"medium\",\n    \"summary\": null\n
        \ },\n  \"safety_identifier\": null,\n  \"service_tier\": \"default\",\n  \"store\":
        true,\n  \"temperature\": 1.0,\n  \"text\": {\n    \"format\": {\n      \"type\":
        \"text\"\n    },\n    \"verbosity\": \"medium\"\n  },\n  \"tool_choice\":
        \"auto\",\n  \"tools\": [],\n  \"top_logprobs\": 0,\n  \"top_p\": 1.0,\n  \"truncation\":
        \"disabled\",\n  \"usage\": {\n    \"input_tokens\": 52,\n    \"input_tokens_details\":
        {\n      \"cached_tokens\": 0\n    },\n    \"output_tokens\": 254,\n    \"output_tokens_details\":
        {\n      \"reasoning_tokens\": 192\n    },\n    \"total_tokens\": 306\n  },\n
        \ \"user\": null,\n  \"metadata\": {}\n}"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Thu, 12 Feb 2026 19:31:24 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '5181'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      set-cookie:
      - SET-COOKIE-XXX
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
